a,
button {
    &.button {
        @include button-default($default-border-radius);
        @include transition($transition-default);

        &:hover {
            @include transition($transition-default);
        }
    }

    &.button-primary {
        background-color: $primary-button-background-color;
        color: $default-font-color;

        &:hover {
            background-color: $primary-button-background-hover-color;
        }
    }

    &.button-secondary {
        background-color: $secondary-button-background-color;
        color: $offWhite;

        &:hover {
            background-color: $secondary-button-background-hover-color;
        }
    }
}
